Check Point Advisories

VLC Media Player ABC File Instruction Field Parsing Heap Overflow

Check Point Reference: CPAI-2013-2494
Date Published: 27 Aug 2013
Severity: High
Last Updated: 14 Feb 2016
Source:
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable?
Vulnerability Description A remote code execution vulnerability has been reported in the libmodplug library used by VLC Media Player. The vulnerability is due to an error while parsing Instruction fields in ABC files with the style sheet directive "MIDI drum" or "MIDI gchord". Remote attackers could exploit this vulnerability by enticing the target user to view a malicious ABC file. A successful attack based on this vulnerability may result in the execution of arbitrary code within the security context of the currently logged-in user.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the VLC Media Player ABC File Instruction Field Parsing Heap Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Media Player Enforcement Violation.
Attack Information:  VLC Media Player ABC file instruction field parsing heap overflow

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO